
#include "a:stdio.h"
#include "b:oxege.h"

main()
	{
	defcursor( 0 );

	build();
	outline( 0, 0, 23, 79, OUTDIM, ATTDIM | ATTALT );
	fill( 1, 1, 22, 78, FILL1, ATTDIM | ATTALT );
	wait();

	fill( 2, 8, 2, 51, FILL4, ATTDIM | ATTALT );
	spoke( 2, 12, " BACKGROUND COLORS AVAILABLE: ", ATTDIM );
	fill( 4, 8, 20, 51, ' ', ATTDIM  );

	fill(  5, 10,  9, 19, FILL1, ATTDIM | ATTALT );
	fill(  5, 20,  9, 29, FILL2, ATTDIM | ATTALT );
	fill(  5, 30,  9, 39, FILL3, ATTDIM | ATTALT );
	fill(  5, 40,  9, 49, FILL4, ATTDIM | ATTALT );

	fill( 10, 10, 14, 19, FILL1, ATTBRT | ATTALT );
	fill( 10, 20, 14, 29, FILL2, ATTBRT | ATTALT );
	fill( 10, 30, 14, 39, FILL3, ATTBRT | ATTALT );
	fill( 10, 40, 14, 49, FILL4, ATTBRT | ATTALT );

	fill( 17, 10, 19, 14, FILL1, ATTDIM | ATTALT );
	fill( 17, 15, 19, 19, FILL2, ATTDIM | ATTALT );
	fill( 17, 20, 19, 24, FILL3, ATTDIM | ATTALT );
	fill( 17, 25, 19, 29, FILL4, ATTDIM | ATTALT );

	fill( 17, 30, 19, 34, FILL1, ATTBRT | ATTALT );
	fill( 17, 35, 19, 39, FILL2, ATTBRT | ATTALT );
	fill( 17, 40, 19, 44, FILL3, ATTBRT | ATTALT );
	fill( 17, 45, 19, 49, FILL4, ATTBRT | ATTALT );

	wait();
	savewindow( 3, 40, 15, 70, 0, 1 );
	outline( 3, 40, 15, 70, OUTBLK, ATTDIM | ATTALT );
	fill( 4, 41, 14, 69, ' ', ATTBRT );
	spoke( 5, 43, "OXEGE windows save", ATTBRT | INVATT );
	spoke( 6, 43, "the previous envi-", ATTBRT | INVATT );
	spoke( 7, 43, "ronment so that it", ATTBRT | INVATT );
	spoke( 8, 43, "can be restored.  ", ATTBRT | INVATT );
	wait();
	savewindow( 3, 40, 15, 70, 1, 1 );

	wait();
	cls();
	defcursor( 3 );

	}

build()
	{
	int top, left, bottom, right, counter;
	top = 11;
	left = 39;
	bottom = 12; 
	right = 40;
	while( left != 33 )
		{
		fill( top, left, bottom, right, FILL1, ATTDIM | ATTALT );
		pause( 250 );
		left--;
		right++;
		}
	while ( top != 1 )
		{
		fill( top, left, bottom, right, FILL1, ATTDIM | ATTALT );
		counter = 0;
		while( counter != 2 )
			{
			left--;
			right++;
			fill( top, left, bottom, right, FILL1, 
				ATTDIM | ATTALT );
			pause( 250 );
			counter++;
			}
		pause( 250 );
		top--;
		left--;
		bottom++;
		right++;
		}
	}

wait()
	{
	while( cis() == NULL )
		{
		;
		}
	ci();
	}

pause( time )
	int time;
	{
	int counter;
	counter = 0;
	while( counter < time )
		{
		++counter;
		}
	}

);
	}

pause( time )
	int time;
	{
	int co